///*****************************************
//  Copyright (C) 2009-2014
//  ITE Tech. Inc. All Rights Reserved
//  Proprietary and Confidential
///*****************************************
//   @file   <CS8953xfr.H>
//   @author Jau-chih.Tseng@ite.com.tw
//   @date   2012/06/29
//   @fileversion: IT626X_BASE_M1_MYSON_V206
//******************************************/

#ifndef __CS8953xfr_H__
#define __CS8953xfr_H__

#define ALLOCATE_EXTERN

#ifdef ALLOCATE_EXTERN
	#define EXTERN
	#define _AT_		_at_
	#define VOLATILE	volatile
#else
	#define	EXTERN      extern
	#define _AT_		;/ ## /
	#define VOLATILE
#endif

   EXTERN VOLATILE BYTE xdata  REGTRM        _AT_   0xa000;
   EXTERN VOLATILE BYTE xdata  IOSCITRM      _AT_   0xa001;
   EXTERN VOLATILE BYTE xdata  IOSCVTRM      _AT_   0xa002;
/* EXTERN VOLATILE BYTE xdata  PLLM          _AT_   0xa003; */
/* EXTERN VOLATILE BYTE xdata  PLLN          _AT_   0xa004; */
/* EXTERN VOLATILE BYTE xdata  PLLCFG        _AT_   0xa005; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa006; */
   EXTERN VOLATILE BYTE xdata  XOSCCFG       _AT_   0xa007;

/* EXTERN VOLATILE BYTE xdata                _AT_   0xa008; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa00a; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa00b; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa00c; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa00d; */
   EXTERN VOLATILE BYTE xdata  RTCCMD        _AT_   0xa00e;
   EXTERN VOLATILE BYTE xdata  RTCDATA       _AT_   0xa00f;

   EXTERN VOLATILE BYTE xdata  LVDCFG        _AT_   0xa010;
   EXTERN VOLATILE BYTE xdata  LVDTHD        _AT_   0xa011;
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa012; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa013; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa014; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa015; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa016; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa017; */

/* EXTERN VOLATILE BYTE xdata                _AT_   0xa018; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa019; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa01a; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa01b; */
   EXTERN VOLATILE BYTE xdata  AMXCFGA       _AT_   0xa01c;
   EXTERN VOLATILE BYTE xdata  AMXCFGB       _AT_   0xa01d;
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa01e; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa01f; */

   EXTERN VOLATILE BYTE xdata  FLSHCMD1      _AT_   0xa020;
   EXTERN VOLATILE BYTE xdata  FLSHDAT1      _AT_   0xa021;
   EXTERN VOLATILE BYTE xdata  FLSHADH1      _AT_   0xa022;
   EXTERN VOLATILE BYTE xdata  FLSHADL1      _AT_   0xa023;
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa024; */
   EXTERN VOLATILE BYTE xdata  CNTPCTL1      _AT_   0xa025;
   EXTERN VOLATILE BYTE xdata  CNTPCTH1      _AT_   0xa026;
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa027; */

/* EXTERN VOLATILE BYTE xdata  FLSHCMD2      _AT_   0xa028; */
/* EXTERN VOLATILE BYTE xdata  FLSHDAT2      _AT_   0xa029; */
/* EXTERN VOLATILE BYTE xdata  FLSHADH2      _AT_   0xa02a; */
/* EXTERN VOLATILE BYTE xdata  FLSHADL2      _AT_   0xa02b; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa02c; */
/* EXTERN VOLATILE BYTE xdata  CNTPCTL2      _AT_   0xa02d; */
/* EXTERN VOLATILE BYTE xdata  CNTPCTH2      _AT_   0xa02e; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa02f; */

   EXTERN VOLATILE BYTE xdata  CMPCFGAB      _AT_   0xa030;
   EXTERN VOLATILE BYTE xdata  CMPCFGCD      _AT_   0xa031;
   EXTERN VOLATILE BYTE xdata  CMPVTH0       _AT_   0xa032;
   EXTERN VOLATILE BYTE xdata  CMPVTH1       _AT_   0xa033;
/* EXTERN VOLATILE BYTE xdata  PGACFG        _AT_   0xa034; */
/* EXTERN VOLATILE BYTE xdata  PGAGAIN       _AT_   0xa035; */
/* EXTERN VOLATILE BYTE xdata                _AT_   0xa036; */
/* EXTERN VOLATILE BYTE xdata  VMIDCFG       _AT_   0xa037; */

/* EXTERN VOLATILE BYTE xdata  OPCFGA        _AT_   0xa038; */
/* EXTERN VOLATILE BYTE xdata  OPCFGB        _AT_   0xa039; */
/* EXTERN VOLATILE BYTE xdata  OPCFGC        _AT_   0xa03a; */
/* EXTERN VOLATILE BYTE xdata  OPCFGD        _AT_   0xa03b; */
/* EXTERN VOLATILE BYTE xdata  DACCFG        _AT_   0xa03c; */
/* EXTERN VOLATILE BYTE xdata  DACDAT1       _AT_   0xa03d; */
/* EXTERN VOLATILE BYTE xdata  DACDAT2       _AT_   0xa03e; */
/* EXTERN VOLATILE BYTE xdata  DACDAT3       _AT_   0xa03f; */

   EXTERN VOLATILE BYTE xdata  IOCFGP0_0     _AT_   0xa040;
   EXTERN VOLATILE BYTE xdata  IOCFGP0_1     _AT_   0xa041;
   EXTERN VOLATILE BYTE xdata  IOCFGP0_2     _AT_   0xa042;
   EXTERN VOLATILE BYTE xdata  IOCFGP0_3     _AT_   0xa043;
   EXTERN VOLATILE BYTE xdata  IOCFGP0_4     _AT_   0xa044;
   EXTERN VOLATILE BYTE xdata  IOCFGP0_5     _AT_   0xa045;
   EXTERN VOLATILE BYTE xdata  IOCFGP0_6     _AT_   0xa046;
   EXTERN VOLATILE BYTE xdata  IOCFGP0_7     _AT_   0xa047;

   EXTERN VOLATILE BYTE xdata  IOCFGP1_0     _AT_   0xa048;
   EXTERN VOLATILE BYTE xdata  IOCFGP1_1     _AT_   0xa049;
   EXTERN VOLATILE BYTE xdata  IOCFGP1_2     _AT_   0xa04a;
   EXTERN VOLATILE BYTE xdata  IOCFGP1_3     _AT_   0xa04b;
   EXTERN VOLATILE BYTE xdata  IOCFGP1_4     _AT_   0xa04c;
   EXTERN VOLATILE BYTE xdata  IOCFGP1_5     _AT_   0xa04d;
   EXTERN VOLATILE BYTE xdata  IOCFGP1_6     _AT_   0xa04e;
   EXTERN VOLATILE BYTE xdata  IOCFGP1_7     _AT_   0xa04f;

   EXTERN VOLATILE BYTE xdata  MFCFGP0_0     _AT_   0xa050;
   EXTERN VOLATILE BYTE xdata  MFCFGP0_1     _AT_   0xa051;
   EXTERN VOLATILE BYTE xdata  MFCFGP0_2     _AT_   0xa052;
   EXTERN VOLATILE BYTE xdata  MFCFGP0_3     _AT_   0xa053;
   EXTERN VOLATILE BYTE xdata  MFCFGP0_4     _AT_   0xa054;
   EXTERN VOLATILE BYTE xdata  MFCFGP0_5     _AT_   0xa055;
   EXTERN VOLATILE BYTE xdata  MFCFGP0_6     _AT_   0xa056;
   EXTERN VOLATILE BYTE xdata  MFCFGP0_7     _AT_   0xa057;

   EXTERN VOLATILE BYTE xdata  MFCFGP1_0     _AT_   0xa058;
   EXTERN VOLATILE BYTE xdata  MFCFGP1_1     _AT_   0xa059;
   EXTERN VOLATILE BYTE xdata  MFCFGP1_2     _AT_   0xa05a;
   EXTERN VOLATILE BYTE xdata  MFCFGP1_3     _AT_   0xa05b;
   EXTERN VOLATILE BYTE xdata  MFCFGP1_4     _AT_   0xa05c;
   EXTERN VOLATILE BYTE xdata  MFCFGP1_5     _AT_   0xa05d;
   EXTERN VOLATILE BYTE xdata  MFCFGP1_6     _AT_   0xa05e;
   EXTERN VOLATILE BYTE xdata  MFCFGP1_7     _AT_   0xa05f;

   EXTERN VOLATILE BYTE xdata  IOCFGP2_0     _AT_   0xa060;
   EXTERN VOLATILE BYTE xdata  IOCFGP2_1     _AT_   0xa061;
   EXTERN VOLATILE BYTE xdata  IOCFGP2_2     _AT_   0xa062;
   EXTERN VOLATILE BYTE xdata  IOCFGP2_3     _AT_   0xa063;
   EXTERN VOLATILE BYTE xdata  IOCFGP2_4     _AT_   0xa064;
   EXTERN VOLATILE BYTE xdata  IOCFGP2_5     _AT_   0xa065;
   EXTERN VOLATILE BYTE xdata  IOCFGP2_6     _AT_   0xa066;
   EXTERN VOLATILE BYTE xdata  IOCFGP2_7     _AT_   0xa067;

   EXTERN VOLATILE BYTE xdata  IOCFGP3_0     _AT_   0xa068;
   EXTERN VOLATILE BYTE xdata  IOCFGP3_1     _AT_   0xa069;
   EXTERN VOLATILE BYTE xdata  IOCFGP3_2     _AT_   0xa06a;
   EXTERN VOLATILE BYTE xdata  IOCFGP3_3     _AT_   0xa06b;
   EXTERN VOLATILE BYTE xdata  IOCFGP3_4     _AT_   0xa06c;
   EXTERN VOLATILE BYTE xdata  IOCFGP3_5     _AT_   0xa06d;
   EXTERN VOLATILE BYTE xdata  IOCFGP3_6     _AT_   0xa06e;
   EXTERN VOLATILE BYTE xdata  IOCFGP3_7     _AT_   0xa06f;

   EXTERN VOLATILE BYTE xdata  MFCFGP2_0     _AT_   0xa070;
   EXTERN VOLATILE BYTE xdata  MFCFGP2_1     _AT_   0xa071;
   EXTERN VOLATILE BYTE xdata  MFCFGP2_2     _AT_   0xa072;
   EXTERN VOLATILE BYTE xdata  MFCFGP2_3     _AT_   0xa073;
   EXTERN VOLATILE BYTE xdata  MFCFGP2_4     _AT_   0xa074;
   EXTERN VOLATILE BYTE xdata  MFCFGP2_5     _AT_   0xa075;
   EXTERN VOLATILE BYTE xdata  MFCFGP2_6     _AT_   0xa076;
   EXTERN VOLATILE BYTE xdata  MFCFGP2_7     _AT_   0xa077;

   EXTERN VOLATILE BYTE xdata  MFCFGP3_0     _AT_   0xa078;
   EXTERN VOLATILE BYTE xdata  MFCFGP3_1     _AT_   0xa079;
   EXTERN VOLATILE BYTE xdata  MFCFGP3_2     _AT_   0xa07a;
   EXTERN VOLATILE BYTE xdata  MFCFGP3_3     _AT_   0xa07b;
   EXTERN VOLATILE BYTE xdata  MFCFGP3_4     _AT_   0xa07c;
   EXTERN VOLATILE BYTE xdata  MFCFGP3_5     _AT_   0xa07d;
   EXTERN VOLATILE BYTE xdata  MFCFGP3_6     _AT_   0xa07e;
   EXTERN VOLATILE BYTE xdata  MFCFGP3_7     _AT_   0xa07f;

#endif

