///*****************************************
//  Copyright (C) 2009-2014
//  ITE Tech. Inc. All Rights Reserved
//  Proprietary and Confidential
///*****************************************
//   @file   <Main.c>
//   @author Jau-chih.Tseng@ite.com.tw
//   @date   2012/06/29
//   @fileversion: IT626X_BASE_M1_MYSON_V206
//******************************************/

#include "Mcu.h"
#include "typedef.h"
#include "TimerProcess.h"
#include "version.h"
#include "Hdmitx.h"
#include "IT626X_drv.h"
#include "IT626X_sys.h"
#ifdef Debug_message
#include <stdio.h>
#endif

//#define MS_LOOP 2000
void MCU_init(void)
{
    init_timer();
#ifdef _Myson_CS8953_
    WTST = 0x00;    //set MCU speed for Myson
    Initial_SFR();  //set as GPIO
    Initial_OSC();  //set as External OSC
    P1=0;
#endif
#ifdef Debug_message
    printf(VERSION_STRING);
#endif
}
void main( ) //int argc, char* argv[] )
{
    //BYTE ii=0;
    MCU_init();
    delay1ms(100);

    InitIT626X_Instance();
    InitIT626X();
#ifdef SUPPORT_SPLASH
    FastOutput();
#endif
    HDMITX_ChangeDisplayOption(HDMI_Unknown,HDMI_RGB444);
	while (1)
    {
        HoldSystem();
        HDMITX_DevLoopProc();
#if 0//def Debug_message
        if(ii>200)
        {
            DumpCatHDMITXReg();
            DumpLVDSReg();
            ii=0;
        }
        else
        {
            ii++;
            //printf("ucTickCount=%u\n",ucTickCount);
            //printf("0x5F=%X\n",(WORD)HDMITX_ReadI2C_Byte(0x5F));
        }
#endif
    }
}
